post
https://api-sdk.lmnl.dev/api/wallet/get-transfer-list
This API is a request to retrieve a paginated list of transactions for a hot wallet. The list will include send, receive, and internal transactions, as applicable.
The following values are sliced to the decimal points:
value(8 decimal),baseValue(8 decimal),valueString(8 decimal),baseValueString(8 decimal),feeString(8 decimal), andusd(5 decimal).
Filters:
You can filter the list of transactions based on the following:
- The
timestampOptionsandsyncedTimestampOptionscannot be used together in the same request. - Use the
timestampOptionsfilter to filter transactions when they sync on the blockchain in the given date range. syncedTimestampOptions:- The
syncedTimestampOptionsworks only for successful transactions, i.e.,"status": "success". - Use the
syncedTimestampOptionsto filter transactions when they sync to Liminal Vaults in the given date range. syncedTimestampOptionscannot be earlier than 2025-07-10 11:18:27.- It records upto a date range of 12 months.
- The
Note
- The values of the
blockandblockConfirmationsparameters can return either a number or null.- The
fromDateparameter provided as "2024-05-02" is interpreted as "2024-05-02T00:00:00.000Z", indicating the start of the day.
Similarly, if thetoDateprovided as "2024-05-02" is interpreted as "2024-05-02T23:59:59.000Z", indicating the end of the day.- For the
receivetransaction type, thesequenceIDis not returned in the response.
